List API keys
GET /v1/api-keys
GET
/v1/api-keys
List all API keys for the authenticated project. Only key metadata is returned; the actual key values are never exposed after creation.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”API keys retrieved successfully
object
data
Array<object>
object
key_id
Unique key identifier
string
Example
key_abc123 label
Human-readable label
string
Example
Production backend prefix
First 11 characters of the key
string
Example
hb_live_abc created_at
string format: date-time
Example
2025-12-01T10:00:00Z last_used_at
Last time the key was used for authentication
string format: date-time
Example
2025-12-06T01:30:00Z meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123Example
{ "data": [ { "key_id": "key_abc123", "label": "Production backend", "prefix": "hb_live_abc", "created_at": "2025-12-01T10:00:00Z", "last_used_at": "2025-12-06T01:30:00Z" }, { "key_id": "key_def456", "label": "Staging backend", "prefix": "hb_test_def", "created_at": "2025-12-05T14:00:00Z" } ], "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
error
object
code
Machine-readable error code
string
Example
INVALID_REQUEST message
Human-readable error message
string
Example
endpoint must be a valid HTTPS URL meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }} Personalize Examples
Enter your credentials to populate code examples throughout the docs.